summaryrefslogtreecommitdiff
path: root/src/third_party/wiredtiger/dist/s_prototypes
diff options
context:
space:
mode:
authorEliot Horowitz <eliot@10gen.com>2014-11-04 15:46:40 -0500
committerEliot Horowitz <eliot@10gen.com>2014-11-05 11:21:19 -0500
commit5ca2daf551a2c631a5f573cb054406f5d49fbef5 (patch)
treeb0a23d34ffdb376bac0b79ed17b5619cfc0d9b47 /src/third_party/wiredtiger/dist/s_prototypes
parent017704acdfc7517efadb3fab167bba06c025c01a (diff)
downloadmongo-5ca2daf551a2c631a5f573cb054406f5d49fbef5.tar.gz
SERVER-15953: add wiredtiger to third_party
Diffstat (limited to 'src/third_party/wiredtiger/dist/s_prototypes')
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_prototypes41
1 files changed, 41 insertions, 0 deletions
diff --git a/src/third_party/wiredtiger/dist/s_prototypes b/src/third_party/wiredtiger/dist/s_prototypes
new file mode 100755
index 00000000000..f29b96a1f55
--- /dev/null
+++ b/src/third_party/wiredtiger/dist/s_prototypes
@@ -0,0 +1,41 @@
+#! /bin/sh
+
+# Build a list of internal function and variable prototypes.
+t=__wt.$$
+trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+
+(
+cat <<EOF
+/* DO NOT EDIT: automatically built by dist/s_prototypes. */
+
+EOF
+
+for i in `sed -e '/^[a-z]/!d' filelist`; do
+ sed -n \
+ -e '/^__wt_[a-z]/!{' \
+ -e h \
+ -e d \
+ -e '}' \
+ -e x \
+ -e '/^static/d' \
+ -e x \
+ -e ': loop' \
+ -e H \
+ -e n \
+ -e '/;/b end' \
+ -e '/^{/!b loop' \
+ -e ': end' \
+ -e x \
+ -e 's/ =.*$//' \
+ -e '/#/!s/\n/ /g' \
+ -e 's/\* /\*/g' \
+ -e 's/ */ /g' \
+ -e 's/^/extern /' \
+ -e 's/WT_GCC_FUNC_/WT_GCC_/' \
+ -e 's/$/;/p' \
+ < ../$i
+done) > $t
+
+f=../src/include/extern.h
+cmp $t $f > /dev/null 2>&1 ||
+ (echo "Building $f" && rm -f $f && cp $t $f)